#include <QApplication>
#include <QFileDialog>
#include <QDebug>

#include <algorithm>

static QString title()
{
    return QLatin1String(qVersion()) + QLatin1Char(' ')
            + QGuiApplication::platformName();
}

int main(int argc, char *argv[])
{
    QStringList args;
    std::copy(argv + 1, argv + argc, std::back_inserter(args));
    QApplication a(argc, argv);


    QFileDialog::Options options;
    if (args.contains("-n"))
        options |= QFileDialog::DontUseNativeDialog;
    QString fileName = QFileDialog::getOpenFileName(nullptr, "Open File Template",
                                                    "C:\\BoxTower_DEMO_2020.pltpy",
                                                    "Inspire Plot Templates (*.pltpy)",
                                                    nullptr, options);
    return fileName.isEmpty() ? -1 : 0;
}
